com.h3c.sdn.api

## Interface BackupTransferService

-     public interface BackupTransferService

  Service for transportation of Backup data between team members.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `sendDownloadBackup(SystemInformation si, boolean csum)` Download backup to a safe location
    `BackupInformation` | `sendGetLastRestoreInformation(SystemInformation si)` Get last backup information.
    `Token` | `sendStartSystemBackup(SystemInformation si)` Backup controller system.
    `Token` | `sendStartSystemRestore(SystemInformation si)` Restore controller system.
    `void` | `sendUploadBackup(String filename, InputStream in, SystemInformation si)` Upload backup to a URL.

- - ### Method Detail

    - #### sendStartSystemBackup

          Token sendStartSystemBackup(SystemInformation si)

      Backup controller system.
      Parameters:
        `si` - the system info descriptor
      Returns:
        Token instance

    - #### sendDownloadBackup

          File sendDownloadBackup(SystemInformation si,
                                boolean csum)
                                  throws IOException,
                                         URISyntaxException

      Download backup to a safe location
      Parameters:
        `si` - the system info descriptor
        `csum` - set to true for downloading checksum
      Returns:
        the output stream for the backup file
      Throws:
        `IOException` - throws the IO exception
        `URISyntaxException` - throws the uri syntax exception

    - #### sendUploadBackup

          void sendUploadBackup(String filename,
                              InputStream in,
                              SystemInformation si)

      Upload backup to a URL.
      Parameters:
        `filename` - filename
        `in` - the input stream
        `si` - the system info descriptor

    - #### sendStartSystemRestore

          Token sendStartSystemRestore(SystemInformation si)

      Restore controller system.
      Parameters:
        `si` - the system info descriptor
      Returns:
        Token instance

    - #### sendGetLastRestoreInformation

          BackupInformation sendGetLastRestoreInformation(SystemInformation si)

      Get last backup information.
      Parameters:
        `si` - the system info descriptor
      Returns:
        BackupInformation instance

Copyright © 2014. All Rights Reserved.